# $Revision: 1.10 $, $Date: 2007/02/13 08:06:38 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Filter-Digest
Summary:	XML::Filter::Digest - parse formatted output and produce XML
Summary(pl.UTF-8):	XML::Filter::Digest - analiza sformatowanego wyjścia i tworzenia XML-a
Name:		perl-XML-Filter-Digest
Version:	0.06
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1a8ed951ec85851ad483f794f68ca54e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Digest-MD5 >= 2.09
BuildRequires:	perl-XML-Handler-YAWriter >= 0.1
BuildRequires:	perl(XML::Parser::PerlSAX) >= 0.06
BuildRequires:	perl-XML-XPath >= 0.51
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Most XML tools aim to parse some simple XML and to produce some
formatted output. XML::Filter::Digest aims to do the opposite.

Many formats can now be parsed by a SAX Driver. XPath offers a smart
way to write queries to XML. XML::Filter::Digest is a PerlSAX Filter
to query XML and to provide a simpler digest as a result.

XML::Filter::Digest uses its own script language that can be parsed by
XML::Script::Digest to formulate these digest queries.

%description -l pl.UTF-8
Celem większości narzędzi do XML-a jest analiza jakiegoś prostego
XML-a i stworzenie jakiegoś sformatowanego wyjścia. Cel
XML::Filter::Digest jest coś przeciwnego.

Teraz sterownik SAX może przetwarzać wiele formatów. XPath oferuje
elegancki sposób pisania zapytań dla XML-a. XML::Filter::Digest to
filtr PerlSAX do odpytywania XML-a i dostarczania w wyniku prostego
podsumowania.

XML::Filter::Digest używa własnego języka skryptowego, który może być
przetwarzany przez XML::Script::Digest aby sformułować te zapytania
podsumowujące.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/XML/*/*.pm
%{_mandir}/man3/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Filter-Digest.spec,v $
Revision 1.10  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.8  2004/11/03 22:30:55  paladine
- formatting

Revision 1.7  2004/10/31 22:36:06  paladine
- spaces->tabs
- formatting

Revision 1.6  2004/05/06 19:38:10  qboosh
- fixed contact info

Revision 1.5  2004/05/06 18:50:10  qboosh
- pl desc

Revision 1.4  2004/05/06 18:21:29  ankry
- fixed perl-devel BR

Revision 1.3  2004/05/06 02:07:07  ankry
- pl summary, formatting

Revision 1.2  2004/05/05 20:26:50  radek
- added forgotten md5

Revision 1.1  2004/05/05 20:25:36  radek
- new
